package com.autentia.tutoriales;

import javax.microedition.midlet.*;
import com.sun.lwuit.Display;
import com.sun.lwuit.plaf.UIManager;
import com.sun.lwuit.util.Resources;


/**
 * Midlet de ejemplo LWUIT
 * @author Carlos García. Autentia.
 */
public class LWUITDemoMidlet extends MIDlet {
    private Resources resources;

    public void startApp() {
        // Inicializamos la librería LWUIT
        Display.init(this);
        
        try {
            
            //Cargamos el único archivo de recursos de la aplicación
            this.resources = Resources.open("/autentiaTheme.res");
            
            // Cargamos el tema
            UIManager.getInstance().setThemeProps(resources.getTheme("AutentiaTheme1"));

            // Refrescamos para que se vea bien
            Display.getInstance().getCurrent().refreshTheme();
        } catch (Exception ex) {
            // No se dará
        }
        
        MainUI ui = new MainUI(this);
        ui.show();
    }

    /**
     * @return Devuelve una referencia al archivo de recursos
     */
    protected Resources getResources(){
        return this.resources;
    }

    public void destroyApp(boolean unconditional) {
        this.notifyDestroyed();
    }
    public void pauseApp() {}
}
